/******************************************************************************
 Auto-generated by plugins/map_plugins.sh - do NOT edit,
 run make map_plugins in sch-rnd/ - to change any of the data below,
 edit plugins/PLUGIN/PLUGIN.pup
******************************************************************************/

plugin_header("\nEngine plugins (concrete->abstract compilation):\n")
plugin_def("funcmap",          "alternate port functions",        sbuildin, 1)
plugin_def("std_cschem",       "standard cschem attributes",      sbuildin, 1)
plugin_def("std_devmap",       "standard device mapper",          sbuildin, 1)
plugin_def("std_forge",        "standard cschem attr forge",      sbuildin, 1)
plugin_def("target_none",      "dummy attr. xform",               sbuildin, 1)
plugin_def("target_pcb",       "attr. xform for PCB workflow",    sbuildin, 1)
plugin_def("target_spice",     "attr. xform for SPICE workflow",  sbuildin, 1)

plugin_header("\nFeature plugins:\n")
plugin_def("act_draw",         "Draw object actions",             sbuildin, 1)
plugin_def("act_read",         "action wrappers for data access", sbuildin, 1)
plugin_def("backann",          "back annotation",                 sbuildin, 1)
plugin_def("construct",        "convert/breakup functionality",   sbuildin, 1)
plugin_def("diag",             "diagnostic acts. for devs",       sbuildin, 1)
plugin_def("place",            "place complex objects",           sbuildin, 1)
plugin_def("propedit",         "object property editor",          sbuildin, 1)
plugin_def("query",            "query language",                  sbuildin, 1)
plugin_def("renumber",         "renumber symbols",                sbuildin, 1)
plugin_def("sim_gui",          "high level simulation GUI",       sbuildin, 1)
plugin_def("sim_ngspice",      "sim exec for ngspice",            sbuildin, 1)
plugin_def("sim",              "high level simulation",           sbuildin, 1)
plugin_def("std_tools",        "standard drawing tools",          sbuildin, 1)

plugin_header("\nSymbol library accessors:\n")
plugin_def("hlibrary_fs",      "hierarchic sheets (file system)", sbuildin, 1)
plugin_def("symlib_fs",        "file system symbols",             sbuildin, 1)
plugin_def("symlib_local",     "sheet local symbols",             sbuildin, 1)

plugin_header("\nExport plugins:\n")
plugin_def("export_abst",      "export abstract model",           sbuildin, 1)
plugin_def("export_bom",       "export Bill of Materials",        sbuildin, 1)
plugin_def("export_lpr",       "lpr exporter (printer)",          sbuildin, 1)
plugin_def("export_png",       "export sheets to png",            sbuildin, 1)
plugin_def("export_ps",        "export sheets to ps/eps",         sbuildin, 1)
plugin_def("export_spice",     "export SPICE netlist",            sbuildin, 1)
plugin_def("export_svg",       "export sheets to svg",            sbuildin, 1)
plugin_def("export_tedax_footprint","export sheet to tEDAx silk fp",   sbuildin, 1)
plugin_def("export_tedax",     "export tEDAx netlist",            sbuildin, 1)
plugin_def("lib_anymap",       "devmap, funcmap common code",     sbuildin, 1)
plugin_def("lib_netlist_exp",  "netlist export helper",           sbuildin, 1)
plugin_def("lib_target",       "target plugin helper",            sbuildin, 1)

plugin_header("\nIO plugins (file formats):\n")
plugin_def("io_altium",        "altium schematics",               sbuildin, 1)
plugin_def("io_easyeda",       "easyeda sch & sym",               sbuildin, 1)
plugin_def("io_eeschema",      "eeschema schematics and symbols", sdisable, 0)
plugin_def("io_geda",          "gEDA schematics and symbols",     sbuildin, 1)
plugin_def("io_lihata",        "lihata schematics and symbols",   sbuildin, 1)
plugin_def("io_ngrp_fawk",     "fawk non-graphical sheets",       sbuildin, 1)
plugin_def("io_ngrp_tedax",    "tEDAx non-graphical sheets",      sbuildin, 1)
plugin_def("io_orcad",         "OrCAD schematics",                sbuildin, 1)
plugin_def("io_tinycad",       "TinyCAD schematics",              sbuildin, 1)
plugin_def("lib_alien",        "alien format helper",             sbuildin, 1)
plugin_def("lib_ngrp",         "non-graphical seet helper",       sbuildin, 1)
plugin_def("lib_tedax",        "low level tEDAx support",         sbuildin, 1)
plugin_def("lib_ucdf",         "read ucdf files",                 sbuildin, 1)

plugin_header("\nGUI:\n")
plugin_def("gui",              "Graphical User Interface",        sbuildin, 1)
plugin_def("lib_plot",         "graph plotting",                  sdisable, 0)
plugin_def("sch_dialogs",      "base dialogs",                    sbuildin, 1)


plugin_dep("backann", "lib_tedax")
plugin_dep("export_lpr", "export_ps")
plugin_dep("export_png", "lib_exp_pixmap")
plugin_dep("export_ps", "lib_exp_text")
plugin_dep("export_spice", "lib_netlist_exp")
plugin_dep("export_svg", "lib_exp_text")
plugin_dep("export_tedax", "lib_netlist_exp")
plugin_dep("funcmap", "lib_anymap")
plugin_dep("gui", "lib_hid_common")
plugin_dep("io_altium", "lib_alien")
plugin_dep("io_altium", "lib_ucdf")
plugin_dep("io_easyeda", "lib_alien")
plugin_dep("io_eeschema", "lib_alien")
plugin_dep("io_geda", "lib_alien")
plugin_dep("io_ngrp_fawk", "lib_ngrp")
plugin_dep("io_ngrp_fawk", "script")
plugin_dep("io_ngrp_tedax", "lib_ngrp")
plugin_dep("io_ngrp_tedax", "lib_tedax")
plugin_dep("io_orcad", "lib_alien")
plugin_dep("io_orcad", "lib_ucdf")
plugin_dep("io_tinycad", "lib_alien")
plugin_dep("lib_alien", "query")
plugin_dep("lib_plot", "query")
plugin_dep("sch_dialogs", "lib_hid_common")
plugin_dep("sim_gui", "lib_plot")
plugin_dep("sim_gui", "sch_dialogs")
plugin_dep("sim_gui", "sim")
plugin_dep("sim_ngspice", "sim")
plugin_dep("sim_ngspice", "target_spice")
plugin_dep("std_devmap", "lib_anymap")
plugin_dep("target_pcb", "lib_target")
plugin_dep("target_spice", "lib_target")
